<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{CFCBC03E-0F32-4D7C-B3AF-97AE06D4D2D3}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>adplug_221</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <TargetName>in_$(ProjectName)</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <TargetName>in_$(ProjectName)</TargetName>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ADPLUG_221_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>/DVERSION=\"V2.2.1\" %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>winmm.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;ADPLUG_221_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>/DVERSION=\"2.2.1\" %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>winmm.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <None Include="adplug.bmp" />
    <None Include="hand.cur" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="in_adlib.rc" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="adplug\a2m.cpp" />
    <ClCompile Include="adplug\adl.cpp" />
    <ClCompile Include="adplug\adlibemu.c" />
    <ClCompile Include="adplug\adplug.cpp" />
    <ClCompile Include="adplug\adtrack.cpp" />
    <ClCompile Include="adplug\amd.cpp" />
    <ClCompile Include="adplug\analopl.cpp" />
    <ClCompile Include="adplug\bam.cpp" />
    <ClCompile Include="adplug\binio\binfile.cpp" />
    <ClCompile Include="adplug\binio\binio.cpp" />
    <ClCompile Include="adplug\binio\binstr.cpp" />
    <ClCompile Include="adplug\binio\binwrap.cpp" />
    <ClCompile Include="adplug\bmf.cpp" />
    <ClCompile Include="adplug\cff.cpp" />
    <ClCompile Include="adplug\cmf.cpp" />
    <ClCompile Include="adplug\d00.cpp" />
    <ClCompile Include="adplug\database.cpp" />
    <ClCompile Include="adplug\debug.c" />
    <ClCompile Include="adplug\dfm.cpp" />
    <ClCompile Include="adplug\diskopl.cpp" />
    <ClCompile Include="adplug\dmo.cpp" />
    <ClCompile Include="adplug\dro.cpp" />
    <ClCompile Include="adplug\dro2.cpp" />
    <ClCompile Include="adplug\dtm.cpp" />
    <ClCompile Include="adplug\emuopl.cpp" />
    <ClCompile Include="adplug\flash.cpp" />
    <ClCompile Include="adplug\fmc.cpp" />
    <ClCompile Include="adplug\fmopl.c" />
    <ClCompile Include="adplug\fprovide.cpp" />
    <ClCompile Include="adplug\hsc.cpp" />
    <ClCompile Include="adplug\hsp.cpp" />
    <ClCompile Include="adplug\hybrid.cpp" />
    <ClCompile Include="adplug\hyp.cpp" />
    <ClCompile Include="adplug\imf.cpp" />
    <ClCompile Include="adplug\jbm.cpp" />
    <ClCompile Include="adplug\ksm.cpp" />
    <ClCompile Include="adplug\lds.cpp" />
    <ClCompile Include="adplug\mad.cpp" />
    <ClCompile Include="adplug\mid.cpp" />
    <ClCompile Include="adplug\mkj.cpp" />
    <ClCompile Include="adplug\msc.cpp" />
    <ClCompile Include="adplug\mtk.cpp" />
    <ClCompile Include="adplug\cplayer.cpp" />
    <ClCompile Include="adplug\players.cpp" />
    <ClCompile Include="adplug\protrack.cpp" />
    <ClCompile Include="adplug\psi.cpp" />
    <ClCompile Include="adplug\rad.cpp" />
    <ClCompile Include="adplug\rat.cpp" />
    <ClCompile Include="adplug\raw.cpp" />
    <ClCompile Include="adplug\realopl.cpp" />
    <ClCompile Include="adplug\rix.cpp" />
    <ClCompile Include="adplug\rol.cpp" />
    <ClCompile Include="adplug\s3m.cpp" />
    <ClCompile Include="adplug\sa2.cpp" />
    <ClCompile Include="adplug\sng.cpp" />
    <ClCompile Include="adplug\surroundopl.cpp" />
    <ClCompile Include="adplug\temuopl.cpp" />
    <ClCompile Include="adplug\u6m.cpp" />
    <ClCompile Include="adplug\xad.cpp" />
    <ClCompile Include="adplug\xsm.cpp" />
    <ClCompile Include="adplug\ymf262.cpp" />
    <ClCompile Include="callback.cpp" />
    <ClCompile Include="config.cpp" />
    <ClCompile Include="dlg_about.cpp" />
    <ClCompile Include="dlg_config.cpp" />
    <ClCompile Include="dlg_info.cpp" />
    <ClCompile Include="filetypes.cpp" />
    <ClCompile Include="gui_link.cpp" />
    <ClCompile Include="gui_tip.cpp" />
    <ClCompile Include="player.cpp" />
    <ClCompile Include="plugin.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="adplug\a2m.h" />
    <ClInclude Include="adplug\adl.h" />
    <ClInclude Include="adplug\adlibemu.h" />
    <ClInclude Include="adplug\adplug.h" />
    <ClInclude Include="adplug\adtrack.h" />
    <ClInclude Include="adplug\amd.h" />
    <ClInclude Include="adplug\analopl.h" />
    <ClInclude Include="adplug\bam.h" />
    <ClInclude Include="adplug\binio\binfile.h" />
    <ClInclude Include="adplug\binio\binio.h" />
    <ClInclude Include="adplug\binio\binstr.h" />
    <ClInclude Include="adplug\binio\binwrap.h" />
    <ClInclude Include="adplug\bmf.h" />
    <ClInclude Include="adplug\cff.h" />
    <ClInclude Include="adplug\cmf.h" />
    <ClInclude Include="adplug\d00.h" />
    <ClInclude Include="adplug\database.h" />
    <ClInclude Include="adplug\debug.h" />
    <ClInclude Include="adplug\dfm.h" />
    <ClInclude Include="adplug\diskopl.h" />
    <ClInclude Include="adplug\dmo.h" />
    <ClInclude Include="adplug\dro.h" />
    <ClInclude Include="adplug\dro2.h" />
    <ClInclude Include="adplug\dtm.h" />
    <ClInclude Include="adplug\emuopl.h" />
    <ClInclude Include="adplug\flash.h" />
    <ClInclude Include="adplug\fmc.h" />
    <ClInclude Include="adplug\fmopl.h" />
    <ClInclude Include="adplug\fprovide.h" />
    <ClInclude Include="adplug\hsc.h" />
    <ClInclude Include="adplug\hsp.h" />
    <ClInclude Include="adplug\hybrid.h" />
    <ClInclude Include="adplug\hyp.h" />
    <ClInclude Include="adplug\imf.h" />
    <ClInclude Include="adplug\jbm.h" />
    <ClInclude Include="adplug\kemuopl.h" />
    <ClInclude Include="adplug\ksm.h" />
    <ClInclude Include="adplug\lds.h" />
    <ClInclude Include="adplug\mad.h" />
    <ClInclude Include="adplug\mid.h" />
    <ClInclude Include="adplug\mididata.h" />
    <ClInclude Include="adplug\mkj.h" />
    <ClInclude Include="adplug\msc.h" />
    <ClInclude Include="adplug\mtk.h" />
    <ClInclude Include="adplug\opl.h" />
    <ClInclude Include="adplug\players.h" />
    <ClInclude Include="adplug\protrack.h" />
    <ClInclude Include="adplug\psi.h" />
    <ClInclude Include="adplug\rad.h" />
    <ClInclude Include="adplug\rat.h" />
    <ClInclude Include="adplug\raw.h" />
    <ClInclude Include="adplug\realopl.h" />
    <ClInclude Include="adplug\rix.h" />
    <ClInclude Include="adplug\rol.h" />
    <ClInclude Include="adplug\s3m.h" />
    <ClInclude Include="adplug\sa2.h" />
    <ClInclude Include="adplug\silentopl.h" />
    <ClInclude Include="adplug\sng.h" />
    <ClInclude Include="adplug\surroundopl.h" />
    <ClInclude Include="adplug\temuopl.h" />
    <ClInclude Include="adplug\u6m.h" />
    <ClInclude Include="adplug\xad.h" />
    <ClInclude Include="adplug\xsm.h" />
    <ClInclude Include="adplug\ymf262.h" />
    <ClInclude Include="config.h" />
    <ClInclude Include="debug.h" />
    <ClInclude Include="dlg_about.h" />
    <ClInclude Include="dlg_config.h" />
    <ClInclude Include="dlg_info.h" />
    <ClInclude Include="filetypes.h" />
    <ClInclude Include="frontend.h" />
    <ClInclude Include="gui_link.h" />
    <ClInclude Include="gui_tip.h" />
    <ClInclude Include="in2.h" />
    <ClInclude Include="out.h" />
    <ClInclude Include="player.h" />
    <ClInclude Include="plugin.h" />
    <ClInclude Include="resource.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>